#!/bin/sh

if [ -n "`/sbin/pidof -s artsd`" ] ; then
	exec artsplay "$@"
else
	if [ -n "`/sbin/pidof -s esd`" ]; then
		exec esdplay "$@"
	else
#		echo "${0##*/}: Play \"$@\" without artsplay or esdplay." >&2
		if [ -e /proc/asound/card0/id ] && echo "$@"| grep -q ".*\.wav$"; then
		    exec aplay -qN "$@"
		else
		    exec play -v 0.5 "$@"
		fi
	fi
fi
