#!/bin/sh

if [ -n "`/sbin/pidof -s artsd`" ] ; then
	exec artsdsp "$@"
else
	if [ -n "`/sbin/pidof -s esd`" ]; then
		exec esddsp "$@"
	else
	    if [ -e /proc/asound/card0/id ]; then
		echo "${0##*/}: Execute \"$@\" via aoss" >&2
		exec aoss "$@"
	    else
		echo "${0##*/}: Execute \"$@\" without artsdsp or esddsp" >&2
		exec "$@"
	    fi
	fi
fi
